{
	gROOT->Reset();
	
	ifstream file;
	string filename= "data_fit.dat";
	
	Int_t bin = 1000;
	Float_t min=0.0, max=15.0;
	TH1F *h1 = new TH1F("Bi207 Fit","mataq data",bin,min,max);
	
	Int_t evt;
	Double_t time, area1, area2;
	
	file.open(filename.c_str());
	
	while(file) {
		file >> evt >> time >> area1 >> area2 >>ws;
		h1->Fill(-0.001*area1);
	}
	
	file.close();
	
	TF1 *fit_bi = new TF1("fit_bi",Bi207_1MeV,7,12,18);
	//line [ 0 1 ]
	fit_bi->SetParameter(0,3.0);
	fit_bi->SetParLimits(0,1.0,5.0);
	fit_bi->SetParameter(1,0.0);
	fit_bi->SetParLimits(1,-1.0,1.0);
	//1st gauss[ 2 3 4 5 ]
	fit_bi->SetParameter(2,600);
	fit_bi->SetParameter(3,8.32);
	fit_bi->SetParameter(4,0.4);
	//2nd gauss[  6 7 8 9]
	fit_bi->SetParameter(8,0.4);
	//3rd gauss [ 10 11 12 13 ] 
	fit_bi->SetParameter(12,0.4);
	//4th dauss [ 14 15 16 17 ]
	fit_bi->SetParameter(14,2000.0);
	fit_bi->SetParameter(16,0.4);
	
	h1->Draw();
//	fit_bi->Draw("same");
}